<?php							
  /**
   * Title: JOWAMP_SingleSession.php
   * Description: This file contains the code used to create the web page where single sessions are configured.
   * Copyright: Copyright (c) 2005
   * Company: University of Aveiro / Institute of Telecommunications - Aveiro pole 
   * @author Helder Veiga 
   * @version 1.2
	 * @Last updated: 9-12-2005
 	 *
 	 * Copyright (C) 2005  Helder Veiga 
 	 *
 	 * This program is free software; you can redistribute it and/or
 	 * modify it under the terms of the GNU General Public License
 	 * as published by the Free Software Foundation; either version 2
 	 * of the License, or (at your option) any later version.
 	 *
 	 * This program is distributed in the hope that it will be useful,
 	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 	 * GNU General Public License for more details.  A HTML version of 
 	 * the GNU General Public License can be seen at
 	 * http://www.gnu.org/licenses/gpl.html.
 	 *
	 */
	 
if(!isset($logged_in)){	// Used in EMP site
  session_start(); 
	echo "<LINK href='../JOWAMP_files/emp.css' rel=stylesheet>";
	/* Include Files *********************/
	$logged_in = false;
	
	// Include the constant definition file where all needed constants are definied.
	include("./JOWAMP_Constants.php");  // Should be included before login.php
	include("../login/login.php");
	/*************************************/
	// If this is an EMP web site, after the execution of this request session, the JOWAMP_About page should be presented.
  $link = "./JOWAMP_About.php";  // The about page 
}else  // If this is a JOWAMP web site, after the execution of this request session, the JOWAMP page should be presented.
  $link = "../jowamp.php";

if(isset($logged_in)){

  if(isset($login_error)){  // The $login_error is set if an error occures  in login operation (login.php).
    echo $login_error;	    // Only shows the error message.     
  	for ($i = 0; $i <= 22; $i++) 
  	  echo "<br>";
  }else
    if(!$logged_in){
      displayLogin();
  	  echo "<br>";
    }	   
  
  if($logged_in){

		// Include the functions definition file where all functions are definied.
	  include("./JOWAMP_AuxiliaryFunctions.php");  // Should be included to use function getTime.
		
  ?>
  <SPAN class=utitre2>
		<P align=left><FONT color=#a51129><STRONG>&nbsp;&nbsp;&nbsp;&nbsp;J-OWAMP - Single Session</STRONG></FONT></P>
	</SPAN>	
  <form action="processSingleSession.php" method="GET" >
  
   <div style='margin-left:20.3pt;margin-bottom:6.0pt;'>
 
  		Introduce the number of test packets (Default 100): <input type=text name="numberOfPackets" value="100"> <br>
  
  		<p>Choose the Sender's address:
  	  &nbsp;&nbsp;<select name=senderAddress>
			  <?php
				  $q = "SELECT sender FROM sessionTerminal WHERE sender is not NULL";			 
			    $result = mysql_query($q,$conn) or die('Could not get sender from database: ' . mysql_error());
			    if($result){
					  while($registo=mysql_fetch_array($result)){
						  echo "<option>".$registo['sender']."</option>";
						}
					}	
				?>	
  			</select>
  	</p>
  
  		<p>Choose the Receiver's address:
  	  <select name=receiverAddress>
      	<?php
				  $q = "SELECT receiver FROM sessionTerminal WHERE receiver is not NULL";			 
			    $result = mysql_query($q,$conn) or die('Could not get receiver from database: ' . mysql_error());
			    if($result){
					  while($registo=mysql_fetch_array($result)){
						  echo "<option>".$registo['receiver']."</option>";
						}
					}	
				?>	
  	  </select>
  	</p>
  
  		Introduce the padding length of the test packets (Default 0): <input type=text name="paddingLength" value="0"> <br>
  
       			<br>
  	Introduce the Start Time for this session:
  		<table border=0 width=60%>
			  <?php $date = getdate(getTime()+60); // current time plus one minute?> 
  		  <tr><td width=12%>Year:     </td><td><input type=text name="year" value="<?php echo $date['year'];?>"> </td></tr>
  		  <tr><td width=12%>Month:    </td><td><input type=text name="month" value="<?php echo $date['mon'];?>"> </td></tr>
  			<tr><td width=12%>Date:     </td><td><input type=text name="date" value="<?php echo $date['mday'];?>"> </td></tr>
  			<tr><td width=12%>Hour:     </td><td><input type=text name="hour" value="<?php echo $date['hours'];?>"> </td></tr>
  			<tr><td width=12%>Minute:   </td><td><input type=text name="minute" value="<?php echo $date['minutes'];?>"> </td></tr>
  			<tr><td width=12%>Second:   </td><td><input type=text name="second" value="0"> </td></tr>
  	</table>
  
       			<br>
  	Introduce the timeout  in seconds for the test packets (Default 10): <input type=text name="timeout" value="10"> <br>
  
       			<br> 
  		Choose the interarrival time distribution: <br>
  		<input type=radio name="slotType" value="1" CHECKED>Fixed<br>
			<input type=radio name="slotType" value="0" >Exponential<br>
  	
       			<br>	 
  		Introduce the number of packets Schedule slot descriptions (Default 1): <input type=text name="numberOfScheduleSlots" value="1"> <br> 
  
       			<br>
  		Introduce the interarrival time parameter, in seconds (Default 1): <input type=text name="slotParameter" value="1"> <br>
  		
			<input type=hidden name="link" value="<?php echo $link;?>">  
			
   </div>	
  	<br>
  	<br>
  	<br>
  	<p align=center><input type=submit value="Submit"></p>
  	<br>
  	<br>
   </form>
  <?
  }
}

mysql_close($conn);  // Should always close database connection openned in login.php 

?>								
