<?
  /**
   * Title: register.php
   * Description: This file contains the code used to create the page register, where the administrator of the system
	 * can register new users on the system.
   * Copyright: Copyright (c) 2005
   * Company: University of Aveiro / Institute of Telecommunications - Aveiro pole 
   * @author Helder Veiga 
   * @version 1.2
	 * @Last updated: 9-12-2005
 	 *
 	 * Copyright (C) 2005  Helder Veiga 
 	 *
 	 * This program is free software; you can redistribute it and/or
 	 * modify it under the terms of the GNU General Public License
 	 * as published by the Free Software Foundation; either version 2
 	 * of the License, or (at your option) any later version.
 	 *
 	 * This program is distributed in the hope that it will be useful,
 	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 	 * GNU General Public License for more details.  A HTML version of 
 	 * the GNU General Public License can be seen at
 	 * http://www.gnu.org/licenses/gpl.html.
 	 *
	 */
	 
session_start(); 

	// Include the constant definition file where all needed constants are definied.
	include("../JOWAMP_files/JOWAMP_Constants.php");  // Should be included before database.php
  include("database.php");
  
/**
 * Returns true if the username has been taken
 * by another user, false otherwise.
 */
function usernameTaken($username){
   global $conn;
   if(!get_magic_quotes_gpc()){
      $username = addslashes($username);
   }
   $q = "select username from users where username = '$username'";
   $result = mysql_query($q,$conn);
   return (mysql_numrows($result) > 0);
}

/**
 * Inserts the given (username, password) pair
 * into the database. Returns true on success,
 * false otherwise.
 */
function addNewUser($username, $password){
   global $conn;
   $q = "INSERT INTO users (username, password) VALUES ('$username', '$password')";
   return mysql_query($q,$conn) or die('Could not insert user to database: ' . mysql_error());
}

/**
 * Displays the appropriate message to the user
 * after the registration attempt. It displays a 
 * success or failure status depending on a
 * session variable set during registration.
 */
function displayStatus(){
   global $conn;
   $uname = $_SESSION['reguname'];
   if($_SESSION['regresult']){
?>

<h1>&nbsp;&nbsp;Registered!</h1>
<p>&nbsp;&nbsp;&nbsp;&nbsp;Thank you <b><? echo $uname; ?></b>, your information has been added to the database. You may now use <a href="../jowamp.php" title="JOWAMP">JOWAMP</a>.</p>

<?
mysql_close($conn);  // Should always close database connection openned in database.php
   }
   else{
?>

<h1>&nbsp;&nbsp;Registration Failed</h1>
<p>&nbsp;&nbsp;&nbsp;&nbsp;We're sorry, but an error has occurred and your registration for the username <b><? echo $uname; ?></b>, could not be completed.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Please try again at a later time.</p>

<?
mysql_close($conn);  // Should always close database connection openned in database.php
   }
   unset($_SESSION['reguname']);
   unset($_SESSION['registered']);
   unset($_SESSION['regresult']);
}

if(isset($_SESSION['registered'])){
/**
 * This is the page that will be displayed after the
 * registration has been attempted.
 */
?>

<html>
<title>Registration Page</title>
<body>

<? displayStatus(); ?>

</body>
</html>

<?
   return;
}

/**
 * Determines whether or not to show to sign-up form
 * based on whether the form has been submitted, if it
 * has, check the database for consistency and create
 * the new account.
 */
if(isset($_POST['subjoin'])){
   /* Make sure all fields were entered */
   if(!$_POST['user'] || !$_POST['pass']){
      die('&nbsp;&nbsp;&nbsp;&nbsp;You didn\'t fill in a required field.');
   }

   /*  username - check length */
   $_POST['user'] = trim($_POST['user']);
   if(strlen($_POST['user']) > 30){
      die("&nbsp;&nbsp;&nbsp;&nbsp;Sorry, the username is longer than 30 characters, please shorten it.");
   }

   /* Check if username is already in use */
   if(usernameTaken($_POST['user'])){
      $use = $_POST['user'];
      die("&nbsp;&nbsp;&nbsp;&nbsp;Sorry, the username: <strong>$use</strong> is already taken, please pick another one.");
   }

   /* Add the new account to the database */
   $md5pass = md5($_POST['pass']);
   $_SESSION['reguname'] = $_POST['user'];
   $_SESSION['regresult'] = addNewUser($_POST['user'], $md5pass);
   $_SESSION['registered'] = true;
 
   echo "<meta http-equiv=\"Refresh\" content=\"0;url=$HTTP_SERVER_VARS[PHP_SELF]\">";
   return;
}
else{
/**
 * This is the page with the sign-up form, the names
 * of the input fields are important and should not
 * be changed.
 */
?>

<html>
<title>Registration Page</title>
<body>
<h1>&nbsp;&nbsp;Register</h1>
<form action="<? echo $HTTP_SERVER_VARS['PHP_SELF']; ?>" method="post">
<table align="left" border="0" cellspacing="0" cellpadding="3">
<tr><td>&nbsp;&nbsp;&nbsp;&nbsp;Username:</td><td><input type="text" name="user" maxlength="30"></td></tr>
<tr><td>&nbsp;&nbsp;&nbsp;&nbsp;Password:</td><td><input type="password" name="pass" maxlength="30"></td></tr>
<tr><td colspan="2" align="right"><input type="submit" name="subjoin" value="Join!"></td></tr>
</table>
</form>
</body>
</html>

<?
}
?>
